Bug 218841 - iscsid does not clean up from netlink errors gracefully
iscsid does not clean up from netlink errors gracefully
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: iscsi-initiator-utils (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike Christie
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2006-12-07 14:56 EST by Mike Christie
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RC
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-07 20:32:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike Christie 2006-12-07 14:56:38 EST
Description of problem:

If iscsid gets an error while processing a netlink event it does not always
clean up after itself and leaves the meessge in the netlink socket. The causes
us to hit the same error over and over again.

Version-Release number of selected component (if applicable):

How reproducible:

Every time.

Steps to Reproduce:
1. Run software iscsi and hardware iscsi at the same time.
2. Run iscsid
3. Load qla4xxx

Actual results:

You will see messages like:

iscsid: could not verify connection

Over and over again.

Expected results:

Just spit it out once.

Additional info:
Comment 3 Jay Turner 2006-12-13 21:25:38 EST
QE ack for RHEL5.  Needs to be in Snapshot 5, otherwise pushed to 5.1.
Comment 4 Mike Christie 2006-12-13 23:12:58 EST
Ok. It should be in.
Comment 6 RHEL Product and Program Management 2007-02-07 20:32:40 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.

Note You need to log in before you can comment on or make changes to this bug.